<?php

##=##=##=##=## Configuration of Semantic MediaWiki ##=##=##=##=##
##
## This file contains important settings for customising your
## installation. Copy the content of this file into a new file
## "SMW_LocalSettings.php" within the same directory, and modify 
## the settings in this file as required.
##
##=##=##=##=##=##=##=##=##=##=##=##=##=##=##=##=##=##=##=##=##=##


###
# Set the following to the name of your server. This can 
# be something like "en.wikipedia.org" but also an IP-address. 
# The name need not be an existing domain, since it is only 
# used to generate identifiers in the RDF export. Yet a real 
# address is to be preferred.
##
$smwgServer="examplewiki.ontoworld.org";
##

###
# This is the path to your installation of Semantic MediaWiki as
# seen from the web. Change it if required ($wgScriptPath is the
# path to the base directory of your wiki). No final slash.
##
$smwgScriptPath = $wgScriptPath . '/extensions/SemanticMediaWiki';
##

###
# This is the path to your installation of Semantic MediaWiki as
# seen on your local filesystem. Used against some PHP file path
# issues.
##
$smwgIP = $IP . '/extensions/SemanticMediaWiki';
##

###
# If you want to import ontologies, you need to install RAP,
# a free RDF API for PHP, see 
#     http://www.wiwiss.fu-berlin.de/suhl/bizer/rdfapi/
# The following is the path to your installation of RAP 
# (the directory where you extracted the files to) as seen 
# from your local filesystem.
##
$smwgRAPPath = $smwgIP . '/libs/rdfapi-php';
//$smwgRAPPath = '/another/example/path/rdfapi-php';
##

###
# Set the following value to "true" if you want to enable support
# for semantic annotations within templates. For the moment, this
# will only work after a minor change in your MediaWiki files --
# see INSTALL for details.
##
$smwgEnableTemplateSupport = false;
##

###
# If you already have custom namespaces, change the following
# number to match the smallest even namespace number that is 
# not in use yet. However, it must not be smaller than 100.
##
smwfInitNamespaces(100);
##

###
# Here you can select in which cases you want to have an infobox
# appear below an article. The default setting is "SMW_INFOBOX_NONEMPTY"
# whihc shows only those infoboxes that have some content. Other options:
##
//$smwgShowInfobox = SMW_INFOBOX_HIDDEN; # hide always
//$smwgShowInfobox = SMW_INFOBOX_SHOWN; # show always
##

###
# Here you can define for which namespaces the semantic links
# and annotations are to be evaluated. On other pages, annotations
# can be given but are silently ignored. This is useful since, 
# e.g., talk pages usually do not have attributes and the like. In 
# fact, is is not obvious what a meaningful attribute of a talk 
# page could be.
# The "false" entries are irrelevant, but included for convenience.
##
$smwgNamespacesWithSemanticLinks = array(
	          NS_MAIN => true,
	          NS_TALK => false,
	          NS_USER => true,
	     NS_USER_TALK => false,
	       NS_PROJECT => true,
	  NS_PROJECT_TALK => false,
	         NS_IMAGE => true,
	    NS_IMAGE_TALK => false,
	     NS_MEDIAWIKI => true,
	NS_MEDIAWIKI_TALK => false,
	      NS_TEMPLATE => false,
	 NS_TEMPLATE_TALK => false,
	          NS_HELP => true,
	     NS_HELP_TALK => false,
	      NS_CATEGORY => true,
	 NS_CATEGORY_TALK => false,
	  SMW_NS_RELATION => true,
	 SMW_NS_ATTRIBUTE => true,
	      SMW_NS_TYPE => true
);
##

?>