<?php
/**
 * @author Denny Vrandecic
 *
 * This page shows all used attributes.
 */

if (!defined('MEDIAWIKI')) die();

$wgExtensionFunctions[] = "wfSMWAttributes";

function wfSMWAttributes()
{
	global $wgMessageCache;
	smwfInitMessages(); // initialize messages, always called before anything else on this page;
	global $IP, $smwgIP;
	require_once($smwgIP . '/includes/SMW_Storage.php');
	require_once( "$IP/includes/SpecialPage.php" );
	require_once( "$IP/includes/Title.php" );
	require_once("$IP/includes/QueryPage.php");
	
	class AttributesPage extends QueryPage {
	
		function getName() {
			return "Attributes";
		}
	
		function isExpensive() {
			return false;
		}
	
		function isSyndicated() { return false; }
	
		function getPageHeader() {
			return '<p>' . wfMsg('smw_attributes_docu') . "</p><br />\n";
		}
		function getSQL() {
			$NSatt = SMW_NS_ATTRIBUTE;
			$dbr =& wfGetDB( DB_SLAVE );
			$attributes = $dbr->tableName( 'smw_attributes' );
			# QueryPage uses the value from this SQL in an ORDER clause.
			return "SELECT 'Attributes' as type, 
						{$NSatt} as namespace,
						attribute_title as title,
						attribute_title as value,
						COUNT(*) as count
						FROM $attributes
						GROUP BY attribute_title";
		}
		
		function sortDescending() {
			return false;
		}
	
		function formatResult( $skin, $result ) {
			global $wgLang;
			$title = Title::makeTitle( SMW_NS_ATTRIBUTE, $result->title );
			$alink = $skin->makeLinkObj( $title, $title->getText() );
			return "$alink ($result->count)";
		}
	}
	
	function doSpecialAttributes($par = null)
	{
		list( $limit, $offset ) = wfCheckLimits();
		$rep = new AttributesPage();
		return $rep->doQuery( $offset, $limit );
	}
	
	SpecialPage::addPage( new SpecialPage('Attributes','',true,'doSpecialAttributes',false) );
}

?>