<?php
/**
 * @author S Page
 * @author Markus Krtzsch
 *
 * This special page for MediaWiki provides information about types.
 * Type information is  stored in the smw_attribute database table, 
 * some global variables, and in Type: Wiki pages.
 * This only reports on the smwTypeHandlersByID global variable.
 */


if (!defined('MEDIAWIKI')) die();

$wgExtensionFunctions[] = "wfTypesExtension";

function wfTypesExtension()
{
	global $wgMessageCache;
	smwfInitMessages(); // initialize messages, always called before anything else on this page
	global $IP,  $smwgIP, $wgOut;
	require_once( $IP . '/includes/SpecialPage.php');

	function execute($par = null)
	{
		global $wgOut, $wgUser, $wgContLang;
		global $smwgTypeHandlersByLabel;
		
		$sk =& $wgUser->getSkin();

		$out = '<p>' . wfMsg('smw_types_docu') . "</p><br />\n";
		foreach ($smwgTypeHandlersByLabel as $name => $th) {
			// TODO: generate a link to each one.
			$out .= '<dt>' . $sk->makeLink($wgContLang->getNsText(SMW_NS_TYPE) . ':' . $name, $name);
			$out .= "</dt>\n<dd>";
			$units = $th->getUnits();
			// TODO: String internationalization and localization.
			$out .= 'Standard unit: ';
			$out .= strlen($units['STDUNIT']) ? $units['STDUNIT'] : '(none)';			
			$out .= '; supported units: ';
			if (is_array($units['ALLUNITS']) and sizeof($units['ALLUNITS']) ) {
				$out .= implode(", ", $units['ALLUNITS']);
			} else {
				$out .= 'N/A';
			}
			$out .= "</dd>\n";
		}
		
		/* TODO: query the table for datatypes in use: <br />
			*	SELECT datatype, count( * )
			*	FROM `smw_attributes`
			*	GROUP BY datatype
			*/			

		$wgOut->setPageTitle(wfMsg('types'));
		$wgOut->addHTML($out);
	}

	SpecialPage::addPage( new SpecialPage('Types','',true,'execute',false) );
}
?>
